API Docs
Home
Home
Developer GuideAPI
StatusWebhooks
Developer GuideAPI
StatusWebhooks
  1. Config
  • Config
    • List Pickup Address
      GET
    • List Box Dimension
      GET
    • List vendor
      GET
    • List store
      GET
    • List category
      GET
    • List brand
      GET
    • List Outbound Strategy
      GET
    • List Product Type
      GET
    • List Material
      GET
    • List Storage Method
      GET
    • List Unit
      GET
    • List customer
      GET
    • Upload File
      POST
  • Online Product
    • Create Single Product
      POST
    • Create Product From Product Inventory
      POST
    • List product
      GET
    • Product detail
      GET
  • Product Inventory
    • Create single inventory product
      POST
    • List product inventory
      GET
    • Product inventory detail
      GET
    • Get Product Inventory in Warehouse
      GET
  • Order
    • Shipping Service
      • Preview shipping prices
        • List shipping service
        • List available courier
      • List available courier from order
      • List shipping service of courier
    • Create order B2C
      POST
    • Create order B2B
      POST
    • List order
      GET
    • Order detail
      GET
    • Cancel order
      PATCH
  • Shipment
    • Create shipment auto
    • [Retail][Ship by self] Create shipment with item
    • Cancel shipment
    • List shipment
    • Shipment detail
    • List shipment of order
    • Shipment item
  • Shipment Inbound
    • Create shipment inbound
    • Cancel shipment inbound
    • List shipment inbound
    • Shipment inbound detail
    • Shipment inbound items
    • List addtional services
  • Order Return
    • List return order
    • Return order detail
    • Return order item
    • Create return order
    • Cancel Return Order
  • Courier
    • List courier service integrated
    • List courier operate
    • List courier integrated
  • Address Directory
    • Province
    • District
    • Ward
  1. Config

List customer

GET
/api/v1/public/customer/list
Retrieve a paginated list of customers from the system.

Request

Query Params

Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/v1/public/customer/list?page=1&page_size=5' \
--header 'Authorization: {{your_api_key_here}}'
Response Response Example
{
    "status_code": 200,
    "data": [
        {
            "id": 477,
            "country": "VN",
            "customer_country": "VN",
            "code": "CUV1901067940",
            "fullname": "Hasaki",
            "email": "buithihoaithuong301@gmail.com",
            "phone": "0961557476",
            "address": "Số 9 Trà khúc",
            "zipcode": null,
            "customer_type": "business",
            "note": null,
            "is_active": true,
            "is_delete": false,
            "created_time": 1752827679.0,
            "updated_time": 1752827679.0,
            "user": 190,
            "business": 276,
            "parent": null,
            "province": 89,
            "district": 886,
            "ward": 30337,
            "customer_type_display": "Business",
            "is_branch": false,
            "had_branch": true,
            "total_branch": 1,
            "district_info": {
                "id": 886,
                "district_name": "Huyện An Phú"
            },
            "province_info": {
                "id": 89,
                "province_name": "An Giang"
            },
            "ward_info": {
                "id": 30337,
                "ward_name": "Thị trấn An Phú"
            }
        },
        {
            "id": 472,
            "country": "VN",
            "customer_country": "VN",
            "code": "CUV1901230745",
            "fullname": "Bùi Thị Hoài Thương 01",
            "email": "buithihoaithuong301@gmail.com",
            "phone": "0903935173",
            "address": "Số 9 Trà khúc",
            "zipcode": "",
            "customer_type": "retail",
            "note": "",
            "is_active": true,
            "is_delete": false,
            "created_time": 1746672760.0,
            "updated_time": 1750840433.0,
            "user": 190,
            "business": 276,
            "parent": null,
            "province": 79,
            "district": 760,
            "ward": 26740,
            "customer_type_display": "Retail",
            "is_branch": false,
            "had_branch": false,
            "total_branch": 0,
            "district_info": {
                "id": 760,
                "district_name": "Quận 1"
            },
            "province_info": {
                "id": 79,
                "province_name": "TP. Hồ Chí Minh"
            },
            "ward_info": {
                "id": 26740,
                "ward_name": "Phường Bến Nghé"
            }
        },
        {
            "id": 461,
            "country": "VN",
            "customer_country": "VN",
            "code": "CUV1902319532",
            "fullname": "Bùi Thị Hoài Thương 02",
            "email": "buithihoaithuong301@gmail.com",
            "phone": "0961557476",
            "address": "Số 9 Trà khúc",
            "zipcode": "",
            "customer_type": "retail",
            "note": "",
            "is_active": true,
            "is_delete": false,
            "created_time": 1738826905.0,
            "updated_time": 1750753843.0,
            "user": 190,
            "business": 276,
            "parent": null,
            "province": 79,
            "district": 766,
            "ward": 26965,
            "customer_type_display": "Retail",
            "is_branch": false,
            "had_branch": false,
            "total_branch": 0,
            "district_info": {
                "id": 766,
                "district_name": "Quận Tân Bình"
            },
            "province_info": {
                "id": 79,
                "province_name": "TP. Hồ Chí Minh"
            },
            "ward_info": {
                "id": 26965,
                "ward_name": "Phường 02"
            }
        },
        {
            "id": 367,
            "country": "VN",
            "customer_country": "VN",
            "code": "CUV1901782815",
            "fullname": "Bùi Thị Hoài Thương 03",
            "email": "buithihoaithuong301@gmail.com",
            "phone": "0961557476",
            "address": "TL 865 - Bến đò kinh năng",
            "zipcode": "",
            "customer_type": "retail",
            "note": "",
            "is_active": true,
            "is_delete": false,
            "created_time": 1730089559.0,
            "updated_time": 1750753849.0,
            "user": 190,
            "business": 276,
            "parent": null,
            "province": 82,
            "district": 818,
            "ward": 28342,
            "customer_type_display": "Retail",
            "is_branch": false,
            "had_branch": false,
            "total_branch": 0,
            "district_info": {
                "id": 818,
                "district_name": "Huyện Tân Phước"
            },
            "province_info": {
                "id": 82,
                "province_name": "Tiền Giang"
            },
            "ward_info": {
                "id": 28342,
                "ward_name": "Xã Hưng Thạnh"
            }
        }
    ],
    "error": false,
    "error_code": null,
    "log_id": null,
    "messages": "",
    "total": 4,
    "version": "1.1.9"
}
Previous
List Unit
Next
Upload File
Built with